Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owlapi.owllink.parser
Class AbstractOWLlinkElementHandler<O>

    java.lang.Object

          org.semanticweb.owlapi.owllink.parser.AbstractOWLlinkElementHandler<O>

All Implemented Interfaces:
  OWLlinkElementHandler<O>

Direct Known Subclasses:
  AbstractOWLlinkErrorHandler, AbstractOWLlinkPairElementHandler, AbstractOWLlinkResponseElementHandler, AbstractOWLlinkSynsetElementHandler, AbstractSubSynsetsElementHandler, OWLlinkConfigurationElementHandler, OWLlinkDataRangeElementHandler, OWLlinkLiteralElementHandler, OWLlinkPrefixElementHandler, OWLlinkProtocolVersionElementHandler, OWLlinkPublicKBElementHandler, OWLlinkReasonerVersionElementHandler, OWLlinkResponseMessageElementHandler, OWLlinkSupportedExtensionElemenetHandler

    public abstract class AbstractOWLlinkElementHandler<O>

extends
implements OWLlinkElementHandler<O>

Created by IntelliJ IDEA. Author: Olaf Noppens Date: 21.10.2009

Constructor Summary
`AbstractOWLlinkElementHandler(OWLXMLParserHandler handler)`

Method Summary
`IRI` | `getFullIRI(java.lang.String value)`
`abstract O` | `getOWLLinkObject()`
`O` | `getOWLObject()`
`protected OWLlinkElementHandler` | `getParentHandler()`
`protected Request` | `getRequest()`
`void` | `handleChild(OWLlinkBooleanResponseElementHandler handler)`
`void` | `handleChild(OWLlinkClassSubClassesPairElementHandler handler)`
`void` | `handleChild(OWLlinkClassSynsetElementHandler handler)`
`void` | `handleChild(OWLlinkConfigurationElementHandler handler)`
`void` | `handleChild(OWLlinkDataPropertySubDataPropertiesPairElementHandler handler)`
`void` | `handleChild(OWLlinkDataPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkDataRangeElementHandler handler)`
`void` | `handleChild(OWLlinkDescriptionElementHandler handler)`
`void` | `handleChild(OWLlinkElementHandler handler)`
`void` | `handleChild(OWLlinkErrorElementHandler handler)`
`void` | `handleChild(OWLlinkIndividualSynsetElementHandler handler)`
`void` | `handleChild(OWLlinkLiteralElementHandler handler)`
`void` | `handleChild(OWLlinkObjectPropertySubPropertiesPairElementHandler handler)`
`void` | `handleChild(OWLlinkObjectPropertySynsetElementHandler handler)`
`void` | `handleChild(OWLlinkPrefixElementHandler handler)`
`void` | `handleChild(OWLlinkPropertyElementHandler handler)`
`void` | `handleChild(OWLlinkProtocolVersionElementHandler handler)`
`void` | `handleChild(OWLlinkPublicKBElementHandler handler)`
`void` | `handleChild(OWLlinkReasonerVersionElementHandler handler)`
`void` | `handleChild(OWLlinkResponseElementHandler handler)`
`void` | `handleChild(OWLlinkResponseMessageElementHandler handler)`
`void` | `handleChild(OWLlinkSettingElementHandler handler)`
`void` | `handleChild(OWLlinkSubClassSynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSubObjectPropertySynsetsElementHandler handler)`
`void` | `handleChild(OWLlinkSupportedExtensionElemenetHandler handler)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractOWLlinkElementHandler

    public AbstractOWLlinkElementHandler(OWLXMLParserHandler handler)

Method Detail

### handleChild

    public void handleChild(OWLlinkClassSubClassesPairElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkDataPropertySubDataPropertiesPairElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkObjectPropertySubPropertiesPairElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkSubDataPropertySynsetsElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkSubObjectPropertySynsetsElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkSubClassSynsetsElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkResponseElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkErrorElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkBooleanResponseElementHandler handler)

### handleChild

    public void handleChild(OWLlinkConfigurationElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkDataRangeElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkLiteralElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkPrefixElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkProtocolVersionElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkReasonerVersionElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkPublicKBElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkSupportedExtensionElemenetHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkClassSynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkSettingElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkPropertyElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkObjectPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkDataPropertySynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkIndividualSynsetElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkResponseMessageElementHandler handler)

  Specified by:
    `handleChild` in interface `OWLlinkElementHandler<O>`

### getOWLLinkObject

    public abstract O getOWLLinkObject()

  Specified by:
    `getOWLLinkObject` in interface `OWLlinkElementHandler<O>`

### handleChild

    public void handleChild(OWLlinkDescriptionElementHandler handler)

### getOWLObject

    public O getOWLObject()
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### getFullIRI

    public IRI getFullIRI(java.lang.String value)
                   throws OWLXMLParserException

  Throws:
    `OWLXMLParserException`

### getParentHandler

    protected OWLlinkElementHandler getParentHandler()

### getRequest

    protected Request getRequest()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD